import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import BackPage from './components/BackPage.vue'
import GrassGIF from './components/GrassGIF.vue'
import { Login, redirect } from './utils/initial'
import MusicOnce from './components/MusicOnce.vue'

// 创建 App实例
const app = createApp(App)

redirect()

Login().then(e => {

}).catch(e => {
  console.error(e)
  // alert('系统错误, 请刷新重试')
  redirect(true)
})

// 让整个App应用支持路由
app.use(router)
// 将实例挂载到 #app节点上
app.mount('#app')
app.component('BackPage', BackPage)
app.component('GrassGIF', GrassGIF)
app.component('MusicOnce', MusicOnce)

// createApp(App).mount('#app')


