import { designCounterWidth, designCounterHeight, counterOffsetX, counterOffsetY, cageNum, scale, primaryColor } from './design'
import countImage from '@/assets/RoundaboutImage/计数.png'

// 剩余子弹计数器
export function drawCounter({ two, center }) {
  // 子弹个数 = 轿厢个数
  const num = cageNum;

  const x = center.x + counterOffsetX * scale;
  const y = center.y + counterOffsetY * scale;

  const counterTexture = two.makeTexture(countImage);
  const counterBox = two.makeRectangle(x, y, designCounterWidth, designCounterHeight);
  counterBox.noStroke();
  counterBox.fill = counterTexture;
  counterBox.scale = scale;
  // 初始值是弹夹中子弹数量
  const counter = two.makeText(num, x, y, { fill: primaryColor, weight: 700 })

  return counter
}
