import { createRouter, createWebHashHistory } from 'vue-router'
import homePage from '@/pages/homePage.vue'
import OverPage from '@/pages/OverPage.vue'
import TopRulePage from '@/pages/TopRulePage.vue'
import GamePage from '@/pages/game'

const routes = [
  {
    path: '/',
    component: homePage
  },
  {
    path: '/game',
    component: GamePage
  },
  {
    path: '/OverPage',
    component: OverPage
  },
  {
    path: '/TopRulePage',
    component: TopRulePage
  }
]


const router = createRouter({
  history: createWebHashHistory(),
  routes
})
export default router
