import { designWidth, designHeight, scale } from './design';
import backImage from '@/assets/BackImage/framebg.jpg'

export function drawBg ({ two, center }) {
  const bgTexture = two.makeTexture(backImage);

  const bgBox = two.makeRectangle(center.x, center.y, designWidth, designHeight);
  bgBox.noStroke();
  bgBox.fill = bgTexture;
  bgBox.scale = scale;
}
