
import axios from 'axios'
import { LoginUser, } from './api'
import { getCode } from './initial'
export const domain = process.env.NODE_ENV === 'development' ? '' : 'http://roundabout-service.honghe.njyunzhi.com'

let token = ''
export default function (url, options) {
  const { params, header, ...leftOptions } = options || {}

  return new Promise((resolve, reject) => {
    const token = window.localStorage.getItem('token')
    let header = {
      'X-Authorization-JWT': token,//读取数据,
    }
    axios.request({
      ...leftOptions,
      url: `${domain}${url}`,
      // header: header,
      headers: header,
    }).then(res => {
      const { code, data, message } = res.data
      if (code === 1000) {
        resolve(data)
      } else {
        reject(res.data)
      }
    }).catch(err => {
      const message = err.message || err.errMsg || err
      console.error("🚀 错误~ err", err)


      if (err.message.includes('timeout')) {
        // 请求超时
        // Message.error('请求超时')
      }
      reject(err)
    })
  })
}


